@import "@/styles/variables";

.validator-message {
    &_body {
        display: flex;
        gap: 3rem;
        max-height: 55vh;

        @include col;
    }

    &_list {
        @include col;

        gap: 1rem;
        word-break: break-word;
        border: 2px solid transparent;
        padding: 2px;

        &:focus-visible {
            border: 2px solid $primary-color-dark;
            padding: 2px;
        }

        &-line {
            display: flex;
            flex-direction: column;
            gap: 0.5rem;
            padding-bottom: 0.5rem;
            border-bottom: 1px solid $gray-light;

            @include notebook {
                flex-direction: row;
            }

            p:first-of-type {
                font-weight: 700;
            }
        }

        &-overflow {
            overflow-y: auto;
        }
    }

    &_actions {
        display: flex;
        justify-content: center;
    }

    .rotated {
        transform: rotate(45deg);
    }
}
